Loading...
Searching...
No Matches
CTaskExecutorObjectImpl Class Reference
Inheritance diagram for CTaskExecutorObjectImpl:
[legend]

## Public Member Functions

| CTaskExecutorObjectImpl (ObjectInterfaceTypes &types, CObject *object)
bool | EventProcess (const Event &event)
bool | IsForegroundTask () override
| Is executing foreground task?
bool | IsBackgroundTask () override
| Is executing background task?
CForegroundTask * | GetForegroundTask () override
| Return the foreground task.
CBackgroundTask * | GetBackgroundTask () override
| Return the background task.
void | StopForegroundTask () override
| Stop foreground task.
void | StopBackgroundTask () override
| Stop background task.
Error | StartTaskTake () override
| Start a foreground task.
Error | StartTaskManip (TaskManipOrder order, TaskManipArm arm) override
Error | StartTaskFlag (TaskFlagOrder order, int rank) override
Error | StartTaskBuild (ObjectType type) override
Error | StartTaskSearch () override
Error | StartTaskDeleteMark () override
Error | StartTaskTerraform () override
Error | StartTaskRecover () override
Error | StartTaskFire (float delay) override
Error | StartTaskFireAnt (Math::Vector impact) override
Error | StartTaskSpiderExplo () override
Error | StartTaskPen (bool down, TraceColor color=TraceColor::Default) override
Error | StartTaskWait (float time) override
| Start a foreground task (scriptable tasks, not in UI).
Error | StartTaskAdvance (float length) override
Error | StartTaskTurn (float angle) override
Error | StartTaskGoto (Math::Vector pos, float altitude, TaskGotoGoal goalMode, TaskGotoCrash crashMode) override
Error | StartTaskInfo (const char *name, float value, float power, bool bSend) override
Error | StartTaskShield (TaskShieldMode mode, float delay=1000.0f) override
| Starts a background task.
Error | StartTaskGunGoal (float dirV, float dirH) override
Public Member Functions inherited from CTaskExecutorObject
| CTaskExecutorObject (ObjectInterfaceTypes &types)

## Protected Attributes

std::unique_ptr< CForegroundTask > | m_foregroundTask
std::unique_ptr< CBackgroundTask > | m_backgroundTask

## Member Function Documentation

## IsForegroundTask()

bool CTaskExecutorObjectImpl::IsForegroundTask | ( |  | ) |

override virtual

Is executing foreground task?

Implements CTaskExecutorObject.

## IsBackgroundTask()

bool CTaskExecutorObjectImpl::IsBackgroundTask | ( |  | ) |

override virtual

Is executing background task?

Implements CTaskExecutorObject.

## GetForegroundTask()

CForegroundTask * CTaskExecutorObjectImpl::GetForegroundTask | ( |  | ) |

override virtual

Return the foreground task.

Implements CTaskExecutorObject.

## GetBackgroundTask()

CBackgroundTask * CTaskExecutorObjectImpl::GetBackgroundTask | ( |  | ) |

override virtual

Return the background task.

Implements CTaskExecutorObject.

## StopForegroundTask()

void CTaskExecutorObjectImpl::StopForegroundTask | ( |  | ) |

override virtual

Stop foreground task.

Implements CTaskExecutorObject.

## StopBackgroundTask()

void CTaskExecutorObjectImpl::StopBackgroundTask | ( |  | ) |

override virtual

Stop background task.

Implements CTaskExecutorObject.

## StartTaskTake()

Error CTaskExecutorObjectImpl::StartTaskTake | ( |  | ) |

override virtual

Start a foreground task.

Implements CTaskExecutorObject.

## StartTaskManip()

Error CTaskExecutorObjectImpl::StartTaskManip | ( | TaskManipOrder | order,
|  | TaskManipArm | arm )

override virtual

Implements CTaskExecutorObject.

## StartTaskFlag()

Error CTaskExecutorObjectImpl::StartTaskFlag | ( | TaskFlagOrder | order,
|  | int | rank )

override virtual

Implements CTaskExecutorObject.

## StartTaskBuild()

Error CTaskExecutorObjectImpl::StartTaskBuild | ( | ObjectType | type | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskSearch()

Error CTaskExecutorObjectImpl::StartTaskSearch | ( |  | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskDeleteMark()

Error CTaskExecutorObjectImpl::StartTaskDeleteMark | ( |  | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskTerraform()

Error CTaskExecutorObjectImpl::StartTaskTerraform | ( |  | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskRecover()

Error CTaskExecutorObjectImpl::StartTaskRecover | ( |  | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskFire()

Error CTaskExecutorObjectImpl::StartTaskFire | ( | float | delay | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskFireAnt()

Error CTaskExecutorObjectImpl::StartTaskFireAnt | ( | Math::Vector | impact | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskSpiderExplo()

Error CTaskExecutorObjectImpl::StartTaskSpiderExplo | ( |  | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskPen()

Error CTaskExecutorObjectImpl::StartTaskPen | ( | bool | down,
|  | TraceColor | color = TraceColor::Default )

override virtual

Implements CTaskExecutorObject.

## StartTaskWait()

Error CTaskExecutorObjectImpl::StartTaskWait | ( | float | time | ) |

override virtual

Start a foreground task (scriptable tasks, not in UI).

Implements CTaskExecutorObject.

## StartTaskAdvance()

Error CTaskExecutorObjectImpl::StartTaskAdvance | ( | float | length | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskTurn()

Error CTaskExecutorObjectImpl::StartTaskTurn | ( | float | angle | ) |

override virtual

Implements CTaskExecutorObject.

## StartTaskGoto()

Error CTaskExecutorObjectImpl::StartTaskGoto | ( | Math::Vector | pos,
|  | float | altitude,
|  | TaskGotoGoal | goalMode,
|  | TaskGotoCrash | crashMode )

override virtual

Implements CTaskExecutorObject.

## StartTaskInfo()

Error CTaskExecutorObjectImpl::StartTaskInfo | ( | const char * | name,
|  | float | value,
|  | float | power,
|  | bool | bSend )

override virtual

Implements CTaskExecutorObject.

## StartTaskShield()

Error CTaskExecutorObjectImpl::StartTaskShield | ( | TaskShieldMode | mode,
|  | float | delay = 1000.0f )

override virtual

Starts a background task.

Implements CTaskExecutorObject.

## StartTaskGunGoal()

Error CTaskExecutorObjectImpl::StartTaskGunGoal | ( | float | dirV,
|  | float | dirH )

override virtual

Implements CTaskExecutorObject.

The documentation for this class was generated from the following files:

- src/object/implementation/task_executor_impl.h
- src/object/implementation/task_executor_impl.cpp